# This file is protected by Copyright. Please refer to the COPYRIGHT file
# distributed with this source distribution.
#
# This file is part of OpenCPI <http://www.opencpi.org>
#
# OpenCPI is free software: you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.

$(if $(realpath $(OCPI_CDK_DIR)),,$(error The OCPI_CDK_DIR environment variable is not set correctly.))
include $(OCPI_CDK_DIR)/include/util.mk
# In this non-standard Makefile, the minimum is to be exposed to project-level variable settings
$(OcpiIncludeProject)

.SILENT: show
.PHONY: run clean show

# build the testbench executable
run: tests

clean::
	rm -rf *log
	rm -rf *out

show:
	echo "$$showhelp"

tests:
	./scripts/run_test.sh

define showhelp
----------------------------------------------------------------------------
----------------------------------------------------------------------------
On CentOS run:
make tests
On Zedboard/Matchstiq (natively, not remote) run:
./scripts/run_test.sh
endef
export showhelp
